Functions
DMA_Management
Peripheral Driver » LL Driver » I2C » Functions
Collaboration diagram for DMA_Management:

## Functions
__STATIC_INLINE void | ll_i2c_enable_dma_req_tx (i2c_regs_t *I2Cx)
| Enable DMA transmission requests. More...
__STATIC_INLINE void | ll_i2c_disable_dma_req_tx (i2c_regs_t *I2Cx)
| Disable DMA transmission requests. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_dma_req_tx (i2c_regs_t *I2Cx)
| Check if DMA transmission requests are enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_dma_req_rx (i2c_regs_t *I2Cx)
| Enable DMA reception requests. More...
__STATIC_INLINE void | ll_i2c_disable_dma_req_rx (i2c_regs_t *I2Cx)
| Disable DMA reception requests. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_dma_req_rx (i2c_regs_t *I2Cx)
| Check if DMA reception requests are enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_set_dma_tx_data_level (i2c_regs_t *I2Cx, uint32_t level)
| Set level of TX FIFO that requests a DMA transmit. More...
__STATIC_INLINE uint32_t | ll_i2c_get_dma_tx_data_level (i2c_regs_t *I2Cx)
| Get level of TX FIFO that request a DMA transmit. More...
__STATIC_INLINE void | ll_i2c_set_dma_rx_data_level (i2c_regs_t *I2Cx, uint32_t level)
| Set level of RX FIFO that requests a DMA receive. More...
__STATIC_INLINE uint32_t | ll_i2c_get_dma_rx_data_level (i2c_regs_t *I2Cx)
| Get level of RX FIFO that request a DMA receive. More...
__STATIC_INLINE uint32_t | ll_i2c_dma_get_register_address (i2c_regs_t *I2Cx)
| Get the data register address used for DMA transfer. More...

## Detailed Description

## Function Documentation

## ◆ ll_i2c_disable_dma_req_rx()

__STATIC_INLINE void ll_i2c_disable_dma_req_rx | ( | i2c_regs_t * | I2Cx | ) |

Disable DMA reception requests.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_CR | RDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3637 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_dma_req_tx()

__STATIC_INLINE void ll_i2c_disable_dma_req_tx | ( | i2c_regs_t * | I2Cx | ) |

Disable DMA transmission requests.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_CR | TDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3580 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_dma_get_register_address()

__STATIC_INLINE uint32_t ll_i2c_dma_get_register_address | ( | i2c_regs_t * | I2Cx | ) |

Get the data register address used for DMA transfer.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DATA_CMD | DAT | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance

Return values

  Address | of data register

Definition at line 3761 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_dma_req_rx()

__STATIC_INLINE void ll_i2c_enable_dma_req_rx | ( | i2c_regs_t * | I2Cx | ) |

Enable DMA reception requests.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_CR | RDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3618 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_dma_req_tx()

__STATIC_INLINE void ll_i2c_enable_dma_req_tx | ( | i2c_regs_t * | I2Cx | ) |

Enable DMA transmission requests.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_CR | TDMAE | +-------------------—+--------------------------------—+ \endrst

Return values

  Value | range between 0 ~ 0x8.
  None. |

Definition at line 3561 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_get_dma_rx_data_level()

__STATIC_INLINE uint32_t ll_i2c_get_dma_rx_data_level | ( | i2c_regs_t * | I2Cx | ) |

Get level of RX FIFO that request a DMA receive.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_RDLR | DMARDL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance

Return values

  Returned | value should range between 0x0 and 0x8.

Definition at line 3742 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_get_dma_tx_data_level()

__STATIC_INLINE uint32_t ll_i2c_get_dma_tx_data_level | ( | i2c_regs_t * | I2Cx | ) |

Get level of TX FIFO that request a DMA transmit.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_TDLR | DMATDL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance

Return values

  Returned | value should range between 0x0 and 0x8.

Definition at line 3698 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_dma_req_rx()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_dma_req_rx | ( | i2c_regs_t * | I2Cx | ) |

Check if DMA reception requests are enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_CR | RDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3656 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_dma_req_tx()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_dma_req_tx | ( | i2c_regs_t * | I2Cx | ) |

Check if DMA transmission requests are enabled or disabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_CR | TDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3599 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_set_dma_rx_data_level()

__STATIC_INLINE void ll_i2c_set_dma_rx_data_level | ( | i2c_regs_t * | I2Cx,
|  | uint32_t | level
| ) |  |

Set level of RX FIFO that requests a DMA receive.

Note
  The watermark level = DMARDL + 1, that is, dma_rx_req is generated when the number of valid data entries in the receive FIFO is equal to or more than this field value + 1, and RDMAE = 1. For instance, when DMARDL is 0, then dma_rx_req is asserted when 1 or more data entries are present in the receive FIFO.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_RDLR | DMARDL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance
  level | This parameter should range between 0x0 and 0x8.

Return values

  None. |

Definition at line 3723 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_set_dma_tx_data_level()

__STATIC_INLINE void ll_i2c_set_dma_tx_data_level | ( | i2c_regs_t * | I2Cx,
|  | uint32_t | level
| ) |  |

Set level of TX FIFO that requests a DMA transmit.

Note
  TX data level should equal to the watermark level, that is, the dma_tx_req signal is generated when the number of valid data entries in the transmit FIFO is equal to or below this field value, and TDMAE = 1.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | IC_DMA_TDLR | DMATDL | +-------------------—+--------------------------------—+ \endrst

Parameters

  I2Cx | I2C instance
  level | This parameter should range between 0x0 and 0x8.

Return values

  None. |

Definition at line 3679 of file gr55xx_ll_i2c.h.